<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qt-android_support-module.qdoc -->
  <title>Qt.android_support QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Qt.android_support QML Type</h1>
<span class="subtitle"></span>
<!-- $$$Qt.android_support-brief -->
<p>Provides Qt support for the Android platform. <a href="#details">More...</a></p>
<!-- @@@Qt.android_support -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-qt-android-support-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-android-support.html#deploymentDependencies-prop">deploymentDependencies</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-android-support.html#extraLibs-prop">extraLibs</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-android-support.html#extraPlugins-prop">extraPlugins</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-android-support.html#qmlRootDir-prop">qmlRootDir</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-android-support.html#useMinistro-prop">useMinistro</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-android-support.html#verboseAndroidDeployQt-prop">verboseAndroidDeployQt</a></b></b> : bool</li>
</ul>
<!-- $$$Qt.android_support-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The <code>Qt.android_support</code> module provides the glue for Qbs' Qt and Android support. It is automatically pulled in by <code>Qt.core</code>, so you do not need to add an explicit dependency to it in your product, unless you want to set one of its properties.</p>
<!-- @@@Qt.android_support -->
<h2>Property Documentation</h2>
<!-- $$$deploymentDependencies -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="deploymentDependencies-prop">
<td class="tblQmlPropNode"><p>
<span class="name">deploymentDependencies</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Use this property to completely override the Qt deployment dependencies of your app. Corresponds to qmake's ANDROID_DEPLOYMENT_DEPENDENCIES.</p>
<p>Default: <code>undefined</code></p>
</div></div><!-- @@@deploymentDependencies -->
<br/>
<!-- $$$extraLibs -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="extraLibs-prop">
<td class="tblQmlPropNode"><p>
<span class="name">extraLibs</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Additional libs to be packaged and loaded on start-up (mind the order). Corresponds to qmake's ANDROID_EXTRA_LIBS.</p>
<p>Default: <code>undefined</code></p>
</div></div><!-- @@@extraLibs -->
<br/>
<!-- $$$extraPlugins -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="extraPlugins-prop">
<td class="tblQmlPropNode"><p>
<span class="name">extraPlugins</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Additional non-asset files to be packaged. Corresponds to qmake's ANDROID_EXTRA_PLUGINS.</p>
<p>Default: <code>undefined</code></p>
</div></div><!-- @@@extraPlugins -->
<br/>
<!-- $$$qmlRootDir -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="qmlRootDir-prop">
<td class="tblQmlPropNode"><p>
<span class="name">qmlRootDir</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The root directory of the product's QML files. This information is passed to the <code>androiddeployqt</code> tool, which will use it to decide which resources to include in the APK file.</p>
<p>Default: <code>product.sourceDirectory</code></p>
</div></div><!-- @@@qmlRootDir -->
<br/>
<!-- $$$useMinistro -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="useMinistro-prop">
<td class="tblQmlPropNode"><p>
<span class="name">useMinistro</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether or not to use the Ministro service. If this property is enabled, then the Qt libraries required by your application as well as some other resources will not be packaged into the APK file, but are expected to be present on the device at run time.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@useMinistro -->
<br/>
<!-- $$$verboseAndroidDeployQt -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="verboseAndroidDeployQt-prop">
<td class="tblQmlPropNode"><p>
<span class="name">verboseAndroidDeployQt</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Enable this property if you want verbose output from the <code>androiddeployqt</code> tool.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@verboseAndroidDeployQt -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
